Kerbal Space Program - Bug #13986

RCS thrusters are constantly rotating the ship in some direction without any user input, making it
impossible to dock

03/02/2017 01:47 PM - Fifi

Status: Not a Bug Start date: 03/02/2017
Severity: Low % Done: 0%
Assignee:

Category: Gameplay

Target version:

Version: 1.2.2 Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

Way to reproduce:

- Open up my game save file.

- Load Komo 9 Akalan space station module, which is currently orbiting Kerbin (it's very near to Komo 9 Konolym 3, cause | planned
to dock them).

- Switch to docking mode.

- Toggle translation/rotation ([space]).

- The RCS thrusters will be constantly rotating the ship in some direction (in a specific one, dunno if it changes between game
launches) without any user input, making it impossible to dock.

History

#1 - 03/02/2017 01:51 PM - Fifi

PS. Just to clarify it - | have no mods installed and | verified integrity of game files using Steam.

#2 - 03/02/2017 02:28 PM - Fifi

PS. SAS should be off when trying to reproduce the bug. Turning it on only makes it "fight" with the constantly firing RCS thrusters and waste
monopropellant.

#3 - 03/03/2017 07:43 PM - AlffromKerbal
Confirmed using your savegame (also using Linux) (no option found to mark this issue as confirmed).

There are 2 smaller parts docked on, 1 on each side. The propulsion effect keeps/wanders with the 1st part you undock and due to lower mass,
propulsion is massivly increased. You can stop the roation by a short timewarp, but at normal time rotation starts again at the 1st undocked part only.

#4 - 03/12/2017 11:59 AM - gfrodo

You can trim your spacecraft with [Alt]+WASD or [RShift}+WASD to compensate for asymetric thrust. with no external forces applied (aerodynamic,
active thrust, ...) this will slowly start to rotate your craft. this trim can be zeroed with [Alt]+X or [RShift]+X
Maybe this was the problem.

#5 - 03/13/2017 06:57 PM - AlffromKerbal

Trim what? This thing is accelerating without any activated parts - it should just float around and not start and increasing rotation.

#6 - 03/13/2017 08:29 PM - gfrodo

if you accidentaly changed your trimming, your craft will start rotating with all its torque generating elements in the direction it is trimmed. Therefore, if
you deactivate RCS and all Reaction Wheels, it won't accelerate. The right solution would be to deactivate the trim by [RShift]+X or [Alt]+X,
depending on OS.

http://wiki.kerbalspaceprogram.com/wiki/Key_bindings

Edit: | just looked in the save file, the craft Komo 9 Konolym 3 has a yaw axis trimming of -0.15, which means it will rotate in the same way, if you
could press the 'A' key by 15%.

Komo 9 Akalan has a 0.42 pitch trim and -0.36 yaw trim, so its much worse, like pressing 'S' Key by 42% and 'A' by 36%.

(Maybe its 'D' instead of 'A' or 'W' instead of 'S', | don't know the axis definition in the savefile.)

#7 - 03/15/2017 10:36 AM - sal_vager

- File Fixed komo 9 akalan save.sfs added

05/01/2024 12



http://wiki.kerbalspaceprogram.com/wiki/Key_bindings

- Status changed from New to Not a Bug

- Severity changed from Critical to Low

- % Done changed from 0 to 100

Hi Fifi, your vessel had trim applied, on Linux this is done with the right shift key and the wasd & ge keys.
Right shift + X will cancel all trim, doing this on your craft stops it from rotating.

Attached is a fixed save with trim canceled.

Hope this helps.

#8 - 03/15/2017 10:44 AM - gfrodo

Well, the in the fixed sfs file is the trim canceled for Komo 9 Akalan, but still applied to Komo 9 Konolym 3. So just use the Right shift + X combination
to disable trim yourself.

#9 - 03/16/2017 12:29 AM - Fifi

Thank you all and sorry for inconvenience - | never changed the trim, so | haven't thought that it might be a problem.
| probably applied it accidentally.

Thank you again and sorry for the trouble.

#10 - 03/16/2017 11:59 AM - AlffromKerbal

Don't sorry, i learnd from it aswell. Never been aware of that feature.

Files

persistent.sfs 1.69 MB 03/02/2017 Fifi
persistent.loadmeta 207 Bytes 03/02/2017 Fifi
Komo 9 Konolym 3.craft 146 KB 03/02/2017 Fifi
Komo 9 Akalan.craft 126 KB 03/02/2017 Fifi
KSP.log 233 KB 03/02/2017 Fifi
Fixed komo 9 akalan save.sfs 1.69 MB 03/15/2017 sal_vager

05/01/2024 22


http://www.tcpdf.org

